你的位置:首页 > 操作系统

[操作系统]Android Studio开发RecyclerView遇到的各种问题以及解决(一)


以前一直在用ListView,,,最近才看RecyclerView发现好强大。RecyclerView前提是Android版本在5.0以上,本人以前用的是eclipse只支持到4.4。索性就安装一个Android Studio去开发RecyclerView吧

真是万事开头难,然后中间难,然后结尾难。。。安装过程终于见的问题没有把本宝宝气死,好了,不BB这么多了,遇到的问题总结一下:

1.安装Adroid Studio中遇见的问题:

  首先从往上下载Android Studio的安装包,我下载的是2.1.2的。。。

 

  我承认上图是我借用别人的,但是是我要表达的意思!

  当释放文件的漫长过程完毕之后,就是下面的这个界面了:

 

  如果你的电脑是64位的那么默认的运行的是64位的AndroidStudio,但是很不巧,你的JDK是32位的。。。就会出现以上错误,这时候就在AndroidStudio的安装目录下双击下图的图标,就可以运行32位的了,这个错误就不会出现了:

 

   问题2:sdk配置问题,要谨慎,要自定义sdk的路径,否则,如果你用eclipse开发过android它会默认吧sdk路径设置成eclipse的sdk路径,如果你的eclipse的android版本很低 但是androidStudio的版本很高的时候,androidStudio会让你更新sdk到时候你的eclipse就不能用了,会郁闷死的,最好再用一个子女的sdk哪怕再重新下载一遍需要的东西

  问题3:开发RecyclerView时遇到的问题:

  RecyclerView要依赖v7包要像一以下步骤添加依赖:

   右击项目,选择“Open Module Settings”—>选择Dependencies—>点击右上角绿色的加号选择Library Dependency会出现下图,点击选中的,Ok


 

 正确的情况下右边的手机显示应该是这样的:

 

 但是有的时候还是会出错的,比如——这样的:

 

 

  这个问题困扰我好久,后来问同学发现下图两个调成一致的就好了或者,前者要大于等于后者

然后暂时没有什么问题了,自己备忘一下,希望能帮助到大家。